# frozen_string_literal: true

require_relative 'lib/image_diff/version'

Gem::Specification.new do |spec|
  spec.name          = 'image_diff'
  spec.version       = ImageDiff::VERSION
  spec.authors       = ['']
  spec.email         = ['daniel.oades@itv.com']

  spec.summary       = 'Full page screenshot comparison tool'
  spec.description   = 'Full page screenshot comparison tool for use with Capybara and Selenium'
  spec.homepage      = 'https://github.com/ITV/image_diff'
  spec.license       = 'MIT'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/ITV/image_diff'
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency('capybara', '~> 3.33.0')
  spec.add_dependency('require_all', '3.0.0')
end
